APIs / Google News / News

Google News: News

News from Google News as JSON. 1 credit per successful call.

GET /v1/google-news/news

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringOptionalUp to 500 characters
glstringOptionalUp to 2 characters
hlstringOptionalUp to 2 characters
topic_tokenstringOptionalUp to 200 characters
kgmidstringOptionalUp to 100 characters
publication_tokenstringOptionalUp to 200 characters
section_tokenstringOptionalUp to 200 characters
story_tokenstringOptionalUp to 2,000 characters
sointegerOptional0, 1
startintegerOptionalAny
pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-news/news?q=technology" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.